--
-- dirtExtension
-- Specialization for dirtExtension
-- 
-- @org.author: Knagstedt
-- @author:		Michi77
-- @date:		10/07/16
-- @version:	v1.5
-- @history:	v1.0 - initial version
--				v1.5 - bug fixes
--
-- free for non-commercial usage


headerTrailer = {};

function headerTrailer.prerequisitesPresent(specializations)
	return SpecializationUtil.hasSpecialization(Attachable, specializations);
end;

function headerTrailer:load(savegame)
	self.lastCutter = nil;
end;

function headerTrailer:keyEvent(unicode, sym, modifier, isDown)
end;

function headerTrailer:update(dt)
	if self:getIsActive() and self:getIsActiveForInput(false) and not self:hasInputConflictWithSelection() and InputBinding.isPressed(InputBinding.DETACH_MULTIPLE) then
		for i=table.getn(self.attachedImplements), 1, -1 do
			self:detachImplement(1);
			self.attacherVehicle:detachImplement(self.attacherVehicle:getImplementIndexByObject(self));
		end;
	end;
	if not self.hasImplementAttached then
		for k, v in pairs( self.attachedImplements ) do
			v["object"]:stopAnimation(v["object"].supportAnimation, true);
			v["object"]:playAnimation(v["object"].supportAnimation, 1, nil, true);
			self.hasImplementAttached = true;
		end;
	end;
end;

function headerTrailer:mouseEvent(posX, posY, isDown, isUp, button)
end;

function headerTrailer:draw()
	g_currentMission:addHelpButtonText(g_i18n:getText("DETACH_MULTIPLE"), InputBinding.DETACH_MULTIPLE);
end;

function headerTrailer:delete()
end;

function headerTrailer:onDetachImplement()
	self.hasImplementAttached = false;
end;